Bug 1017202 - Review Request: ovirt-engine-sdk-java - oVirt Engine Software Development Kit (Java)
Review Request: ovirt-engine-sdk-java - oVirt Engine Software Development Kit...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 08:35 EDT by Juan Hernández
Modified: 2015-01-21 10:20 EST (History)
4 users (show)

See Also:
Fixed In Version: ovirt-engine-sdk-java-1.0.0.18-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:36:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Juan Hernández 2013-10-09 08:35:32 EDT
Spec URL: http://jhernand.fedorapeople.org/rpms/ovirt-engine-sdk-java/1.0.0.18-1/ovirt-engine-sdk-java.spec
SRPM URL: http://jhernand.fedorapeople.org/rpms/ovirt-engine-sdk-java/1.0.0.18-1/ovirt-engine-sdk-java-1.0.0.18-1.fc19.src.rpm

Description:

This package contains The oVirt-Engine Java Software Development Kit.
With this package, custom java software can be built for oVirt-Engine.

Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6041156
Comment 1 Mikolaj Izdebski 2013-10-09 08:56:24 EDT
Package Review
==============

Legend:
[x] = Pass, [-] = Not applicable


===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI


Rpmlint
-------
Checking: ovirt-engine-sdk-java-1.0.0.18-1.fc21.noarch.rpm
          ovirt-engine-sdk-java-javadoc-1.0.0.18-1.fc21.noarch.rpm
          ovirt-engine-sdk-java-1.0.0.18-1.fc21.src.rpm
ovirt-engine-sdk-java.noarch: W: summary-not-capitalized C oVirt Engine Software Development Kit (Java)
ovirt-engine-sdk-java.src: W: summary-not-capitalized C oVirt Engine Software Development Kit (Java)
ovirt-engine-sdk-java.src: W: invalid-url Source0: ovirt-engine-sdk-java-1.0.0.18.tar.xz
3 packages and 0 specfiles checked; 0 errors, 3 warnings.


Approved.
Comment 2 Juan Hernández 2013-10-09 09:17:45 EDT
New Package SCM Request
=======================
Package Name: ovirt-engine-sdk-java
Short Description: oVirt Engine Software Development Kit (Java)
Owners: jhernand
Branches: f18 f19 f20 el6
InitialCC:
Comment 3 Gwyn Ciesla 2013-10-09 10:02:56 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-10-09 11:43:57 EDT
ovirt-engine-sdk-java-1.0.0.18-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ovirt-engine-sdk-java-1.0.0.18-1.fc20
Comment 5 Fedora Update System 2013-10-10 10:40:46 EDT
ovirt-engine-sdk-java-1.0.0.18-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 6 Fedora Update System 2013-11-10 02:36:35 EST
ovirt-engine-sdk-java-1.0.0.18-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 7 Juan Hernández 2015-01-21 07:55:45 EST
Package Change Request
======================
Package Name: ovirt-engine-sdk-java
New Branches: epel7
Owners: jhernand
Comment 8 Gwyn Ciesla 2015-01-21 10:20:44 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.